# Uses of Interface
org.opensaml.saml.metadata.resolver.RoleDescriptorResolver

Packages that use RoleDescriptorResolver
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.

## Uses of RoleDescriptorResolver in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl with type parameters of type RoleDescriptorResolver
Modifier and Type
Field
Description
`private Function<MessageContext,RoleDescriptorResolver>`
SAMLMetadataLookupHandler.`metadataResolverLookupStrategy`
Resolver used to look up SAML metadata.
Methods in org.opensaml.saml.common.binding.impl with parameters of type RoleDescriptorResolver
Modifier and Type
Method
Description
`void`
SAMLMetadataLookupHandler.`setRoleDescriptorResolver(RoleDescriptorResolver resolver)`
Set the `RoleDescriptorResolver` to use.
Method parameters in org.opensaml.saml.common.binding.impl with type arguments of type RoleDescriptorResolver
Modifier and Type
Method
Description
`void`
SAMLMetadataLookupHandler.`setRoleDescriptorResolverLookupStrategy(Function<MessageContext,RoleDescriptorResolver> strategy)`
Set the lookup strategy for the `RoleDescriptorResolver` to use.

## Uses of RoleDescriptorResolver in org.opensaml.saml.metadata.resolver.impl

Classes in org.opensaml.saml.metadata.resolver.impl that implement RoleDescriptorResolver
Modifier and Type
Class
Description
`class`
`PredicateRoleDescriptorResolver`
Implementation of `RoleDescriptorResolver` which wraps an instance of `MetadataResolver` to support basic EntityDescriptor resolution, and then performs further role-related filtering over the returned EntityDescriptor.

## Uses of RoleDescriptorResolver in org.opensaml.saml.saml2.binding.decoding.impl

Fields in org.opensaml.saml.saml2.binding.decoding.impl declared as RoleDescriptorResolver
Modifier and Type
Field
Description
`private RoleDescriptorResolver`
HTTPArtifactDecoder.`roleDescriptorResolver`
Role descriptor resolver.
Methods in org.opensaml.saml.saml2.binding.decoding.impl that return RoleDescriptorResolver
Modifier and Type
Method
Description
`RoleDescriptorResolver`
HTTPArtifactDecoder.`getRoleDescriptorResolver()`
Get the role descriptor resolver.
Methods in org.opensaml.saml.saml2.binding.decoding.impl with parameters of type RoleDescriptorResolver
Modifier and Type
Method
Description
`void`
HTTPArtifactDecoder.`setRoleDescriptorResolver(RoleDescriptorResolver resolver)`
Set the role descriptor resolver.

## Uses of RoleDescriptorResolver in org.opensaml.saml.security.impl

Fields in org.opensaml.saml.security.impl declared as RoleDescriptorResolver
Modifier and Type
Field
Description
`private RoleDescriptorResolver`
MetadataCredentialResolver.`roleDescriptorResolver`
Metadata RoleDescriptor resolver which is the source of credentials.
Methods in org.opensaml.saml.security.impl that return RoleDescriptorResolver
Modifier and Type
Method
Description
`RoleDescriptorResolver`
MetadataCredentialResolver.`getRoleDescriptorResolver()`
Get the metadata RoleDescriptor resolver instance used by this resolver.
Methods in org.opensaml.saml.security.impl with parameters of type RoleDescriptorResolver
Modifier and Type
Method
Description
`void`
MetadataCredentialResolver.`setRoleDescriptorResolver(RoleDescriptorResolver resolver)`
Set the metadata RoleDescriptor resolver instance used by this resolver.